GET /pool/{uuid}/runtime/detail/

GET /pool/{uuid}/runtime/detail/

/pool/{uuid}/runtime/detail/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/detail
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PoolRuntimeDetail of type(s) application/json
{
    "gslb_pool_type": "string",
    "name": "string",
    "num_servers": 0,
    "num_servers_enabled": 0,
    "num_servers_up": 0,
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "pool_stats": {
        "bad_connections": 0,
        "connection_estb_time_be": "number",
        "current_connections": 0,
        "failed_requests": 0,
        "http2_compression_errors": 0,
        "http2_enhance_your_calm": 0,
        "http2_flow_control_errors": 0,
        "http2_frame_size_errors": 0,
        "http2_misc_errors": 0,
        "http2_protocol_header_errors": 0,
        "http2_protocol_other_errors": 0,
        "http2_refused_stream_errors": 0,
        "inlhm_skip_bypassed": 0,
        "invalid_httpv1_responses": 0,
        "invalid_httpv2_responses": 0,
        "lb_fail_add_pending": 0,
        "lb_fail_capest_rand_max_conn": 0,
        "lb_fail_cookie_decode_failed": 0,
        "lb_fail_cookie_decrypt_failed": 0,
        "lb_fail_cookie_key_not_found": 0,
        "lb_fail_get_next": 0,
        "lb_fail_max_conn": 0,
        "lb_fail_max_conn_rate": 0,
        "lb_fail_no_lport": 0,
        "lb_fail_persistent_server_down": 0,
        "lb_fail_persistent_server_invalid": 0,
        "lb_fail_remote_site_down": 0,
        "lb_fail_server_down": 0,
        "lb_fail_slow_start_max_conn": 0,
        "lb_fail_suspect_state": 0,
        "num_fallback_algo_used": 0,
        "num_svr_reselect_req": 0,
        "num_svr_reselects": 0,
        "persist_alloc_fails": 0,
        "persistence_objs": 0,
        "pool_load": 0,
        "pre_closed_connections": 0,
        "request_queue_num_adds": 0,
        "request_queue_num_dels": 0,
        "request_queue_num_dispatched": 0,
        "request_queue_num_evicted": 0,
        "request_queue_num_flushes": 0,
        "request_queue_num_freed_requests": 0,
        "request_queue_num_full": 0,
        "ssl_auth_dsa": 0,
        "ssl_auth_ecdsa": 0,
        "ssl_auth_mldsa44": 0,
        "ssl_auth_mldsa65": 0,
        "ssl_auth_mldsa87": 0,
        "ssl_auth_rsa": 0,
        "ssl_ecdsa_pfs": 0,
        "ssl_enc_3des": 0,
        "ssl_enc_aes128": 0,
        "ssl_enc_aes256": 0,
        "ssl_enc_rc4": 0,
        "ssl_handshakes_errors": 0,
        "ssl_handshakes_failed": 0,
        "ssl_handshakes_full": 0,
        "ssl_handshakes_reused": 0,
        "ssl_handshakes_timedout": 0,
        "ssl_kx_dh": 0,
        "ssl_kx_ecdh": 0,
        "ssl_kx_rsa": 0,
        "ssl_mac_aead": 0,
        "ssl_mac_md5": 0,
        "ssl_mac_sha1": 0,
        "ssl_mac_sha256": 0,
        "ssl_mac_sha384": 0,
        "ssl_open_sessions": 0,
        "ssl_rsa_pfs": 0,
        "ssl_ver_ssl30": 0,
        "ssl_ver_tls10": 0,
        "ssl_ver_tls11": 0,
        "ssl_ver_tls12": 0,
        "ssl_ver_tls13": 0,
        "total_connections": 0
    },
    "se_uuid": "string",
    "uuid": "string",
    "vrf_id": 0,
    "vrf_uuid": "string"
}
string
gslb_pool_type
Optional

GSLB Pool type. Enum options - GSLB_POOL_TYPE_GENERIC, GSLB_POOL_TYPE_PRIVATE, GSLB_POOL_TYPE_PUBLIC. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
num_servers
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
num_servers_enabled
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
num_servers_up
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
oper_status
Optional

oper_status

object
pool_stats
Optional

pool_stats

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vrf_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vrf_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/detail